Update a tag
curl --request PATCH \
--url https://b.anny.co/api/v1/tags/{tag_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "tags",
"attributes": {
"name": "<string>",
"color": "#9747ff",
"description": "<string>",
"order_index": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>"
},
"meta": {
"usage_count": 123
}
}
}
'import requests
url = "https://b.anny.co/api/v1/tags/{tag_id}"
payload = { "data": {
"id": "<string>",
"type": "tags",
"attributes": {
"name": "<string>",
"color": "#9747ff",
"description": "<string>",
"order_index": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": { "self": "<string>" },
"meta": { "usage_count": 123 }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'tags',
attributes: {
name: '<string>',
color: '#9747ff',
description: '<string>',
order_index: 123,
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z'
},
links: {self: '<string>'},
meta: {usage_count: 123}
}
})
};
fetch('https://b.anny.co/api/v1/tags/{tag_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "tags",
"attributes": {
"name": "<string>",
"color": "#9747ff",
"description": "<string>",
"order_index": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"links": {
"self": "<string>"
},
"meta": {
"usage_count": 123
}
}
}Organization & Users
Update a tag
Requires the tags ability.
PATCH
/
api
/
v1
/
tags
/
{tag_id}
Update a tag
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
Abfrageparameter
Organization ID
Body
application/vnd.api+json
An organization-wide label. One tag pool is shared by bookings, orders, customers, resources and services. Managing tags requires the tags ability; attaching a tag to a record only requires permission to update that record.
Show child attributes
Show child attributes
Antwort
OK
An organization-wide label. One tag pool is shared by bookings, orders, customers, resources and services. Managing tags requires the tags ability; attaching a tag to a record only requires permission to update that record.
Show child attributes
Show child attributes